Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.activation
Class ActiveDockableTracker

    java.lang.Object
      org.flexdock.docking.activation.ActiveDockableTracker

    public class ActiveDockableTracker

extends Object

Author:
  Christopher Butler

Field Summary
`static String` | `CURRENT_DOCKABLE`

Constructor Summary
`ActiveDockableTracker()`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)`
`boolean` | `containsPropertyChangeListener(PropertyChangeListener listener)`
`static Dockable` | `getActiveDockable()`
`static Dockable` | `getActiveDockable(Component window)`
`static ActiveDockableTracker` | `getCurrentTracker()`
`PropertyChangeListener[]` | `getPropertyChangeListeners()`
`static ActiveDockableTracker` | `getTracker(Component component)`
`void` | `removePropertyChangeListener(PropertyChangeListener listener)`
`static void` | `requestDockableActivation(Component c)`
`static void` | `requestDockableActivation(Component c, boolean forceChange)`
`static void` | `requestDockableActivation(Component c, Dockable dockable, boolean forceChange)`
`void` | `setActive(boolean b)`
`void` | `setActive(Dockable dockable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURRENT_DOCKABLE

    public static final String CURRENT_DOCKABLE

See Also:
  Constant Field Values

Constructor Detail

### ActiveDockableTracker

    public ActiveDockableTracker()

Method Detail

### getTracker

    public static ActiveDockableTracker getTracker(Component component)

### getCurrentTracker

    public static ActiveDockableTracker getCurrentTracker()

### getActiveDockable

    public static Dockable getActiveDockable()

### getActiveDockable

    public static Dockable getActiveDockable(Component window)

### requestDockableActivation

    public static void requestDockableActivation(Component c)

### requestDockableActivation

    public static void requestDockableActivation(Component c,
                                                 boolean forceChange)

### requestDockableActivation

    public static void requestDockableActivation(Component c,
                                                 Dockable dockable,
                                                 boolean forceChange)

### setActive

    public void setActive(boolean b)

### setActive

    public void setActive(Dockable dockable)

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

### getPropertyChangeListeners

    public PropertyChangeListener[] getPropertyChangeListeners()

### containsPropertyChangeListener

    public boolean containsPropertyChangeListener(PropertyChangeListener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD